body.image-group-open {
    overflow: hidden;
}

.image-group {
    display: inline-block;
}

.image-group-content {
    position: fixed;
    left: 0;
    top: 0;
    padding: 0;
    margin: 0;
    width: 100vw;
    height: 100vh;
    background: #ffffff;
    z-index: 100001;
    display: none;
}

.image-group-header {
    position: relative;
    height: 56px;
    padding: 0;
    background: #373942;
    color: #fff;
}

.image-group-item-edit {
    display: none;
}

.image-group-mode-btns {
    position: absolute;
    right: 0;
}

.image-group-detail-btns {
    position: absolute;
    left: 10px;
}

.image-group-add-category {
    display: none;
}

.image-group-images {
    font-size: 0;
    padding: 30px;
    box-sizing: border-box;
    position: relative;
    width: 100%;
    height: calc(100% - 50px);
    overflow: auto;
}

.image-group-items {
    padding: 5px;
    width: 100%;
    height: 100%;
    min-height: 40px;
    box-sizing: border-box;
    border: 1px solid #b9b9b9;
    border-top: 0;
    background: #eaeaea;
}

.image-group-category {
    padding: 0;
    background: rgba(153, 153, 153, 0);
    font-size: 0;
    margin-bottom: 5px;
}

.image-group-category:last-child {
    margin-bottom: 0;
}

.image-group-category-delete:before {
    content: '\f057';
    font-family: 'FontAwesome';
    font-size: 16px;
    position: absolute;
    top: 5px;
    right: 5px;
    color: #ffffff;
    display: block;
    cursor: pointer;
}

.image-group-category-all.image-group-category {
    width: 100%;
    max-height: 300px;
    box-sizing: border-box;
    overflow-x: hidden;
    overflow-y: auto;
}

.image-group-item {
    margin: 0 1px 1px 0;
    display: inline-block;
    width: 50px;
    height: 50px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}

.image-group-item.big-item {
    margin: 0 3px 3px 0;
    width: 150px;
    height: 150px;
    position: relative;
}

.image-group-category-all>.image-group-item {
    width: 50px;
    height: 50px;
}

.image-group-categories {
    width: 100%;
    height: calc(100% - 50px);
    position: absolute;
    top: 50px;
    left: 0;
    padding: 10px;
    box-sizing: border-box;
    display: none;
    overflow: auto;
}

.image-group-details {
    width: 100%;
    overflow: auto;
}

.image-group-button {
    position: relative;
    padding: 0 30px 0 50px;
    line-height: 56px;
    margin: 0;
    float: left;
    background: transparent;
    border: none;
    border-left: 1px solid #4b4d55;
    border-right: 1px solid rgba(43, 45, 52, .7);
    color: #fff;
    cursor: pointer;
    outline: none;

    -webkit-transition: 0.2s all;
    transition: 0.2s all;
}

.image-group-button:hover {
    background: #2b2d34;
}

.image-group-add-images.image-group-button:hover {
    background: #00c4ff;
}

.image-group-add-images,
.image-group-add-category {
    line-height: 36px;
    top: 10px;
    background: #00b7ee;
    border-radius: 4px;
}

.image-group-add-images:before,
.image-group-add-category:before {
    content: '\e93d';
}

.image-group-button.current {
    background-color: #2b2d34;
    cursor: default;
}

.image-group-button.current:before {
    color: #00b7ee;
}

.image-group-button:before {
    position: absolute;
    font-family: 'pt-admin';
    top: 0;
    left: 20px;
    font-size: 18px;
}

.image-group-categories-btn:before {
    content: '\e90e'
}

.image-group-images-btn:before {
    content: '\e432'
}

.image-group-cancel-btn:before {
    content: "\f00d";
    font-size: 19px;
    font-family: 'FontAwesome';
    color: #ff0000;
}

.image-group-close-btn:before {
    content: "\f00c";
    font-size: 19px;
    font-family: 'FontAwesome';
    color: #00b7ee;
}

.image-group-button.current:after {
    content: '';
    position: absolute;
    left: 50%;
    margin-left: -5px;
    bottom: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 6px solid #fff;
}

.image-group-item-buttons {
    font-size: 14px;
    position: absolute;
    left: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.5);
    width: 100%;
}

.image-group-item-btn {
    display: inline-block;
    padding: 5px 8px;
    left: 48px;
    position: relative;
    color: #ffffff;
    cursor: pointer;
    opacity: 0.7;
}

.image-group-item-btn:hover {
    opacity: 1;
}

.image-group-item-edit-btn:before {
    content: '\f040';
    font-family: FontAwesome;
}

.image-group-item-delete-btn:before {
    content: '\f00d';
    font-family: FontAwesome;
}

.image-group-category-header {
    font-size: 14px;
    width: 100%;
    padding: 5px;
    box-sizing: border-box;
    background: rgb(103, 103, 103);
    position: relative;
}

.image-group-label {
    border: 0;
    box-sizing: border-box;
    display: inline;
    width: 100%;
    padding: 3px 3px;
    color: #f4f4ff;
}

.image-group-input {
    width: 200px;
    border: 0;
    box-sizing: border-box;
    display: block;
    padding: 3px 3px;
    outline-style: none;
    background: transparent;
    color: #f4f4ff;
    border-bottom: 1px solid rgba(255, 255, 255, 0.3);
}

.image-group-input:hover,
.image-group-input:focus {
    border-bottom: 1px solid rgba(255, 255, 255, 0.8);
}

.image-group-item-edit {
    background: rgba(240, 240, 240, 0.95);
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 100002;
    display: none;
}

.image-group-item-edit.open {
    display: -webkit-flex;
    display: flex;
}

.image-group-item-edit-content {
    background: #fff;
    margin: auto;
    border-radius: 5px;
    box-shadow: 2px 2px 30px rgba(0, 0, 0, .1);
    overflow: hidden;
    position: relative;
    -webkit-align-self: center;
    -webkit-justify-self: center;
    align-self: center;
    justify-self: center;
}

.image-group-item.detail-item {
    width: 100%;
    height: 320px;
}

.image-group-item-edit-buttons {
    display: inline-block;
    padding: 20px;
    color: #222222;
    position: relative;
    width: 100%;
    box-sizing: border-box;
}

.image-group-item-edit-buttons>label,
.image-group-item-edit-buttons>label+i {
    position: relative;
    display: inline-block;
    vertical-align: top;
    margin-right: 10px;
    line-height: 40px;
}

.image-group-item-edit-buttons>label+i {
    opacity: 0.6;
}

.image-group-item-edit-buttons>label,
.image-group-item-edit-buttons>span {
    margin-bottom: 8px;
}

.image-group-item-edit-buttons>span {
    display: block;
    line-height: 30px;
}

.image-group-item-edit-buttons input[type="text"] {
    background: transparent;
    height: 40px;
    outline: none;
    width: 100%;
    padding: 0 10px;
}

.image-group-item.big-item:before,
.image-group-item.detail-item:before {
    content: '';
    background-image: url(../data/images/loading.gif);
    position: absolute;
    opacity: 0.7;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    z-index: 1;
    display: none;
    width: 16px;
    height: 16px;
}

.image-group-item.detail-item:before {
    top: calc((220px - 16px) / 2);
    bottom: auto;
}

.is-loading.image-group-item.big-item:before,
.is-loading.image-group-item.detail-item:before {
    display: block;
}

.image-group-item-edit-image-btn {
    position: absolute;
    right: 0;
    top: 0px;
    font-size: 16px;
    background: rgba(255, 255, 255, 0.5);
    padding: 3px 8px;
    cursor: pointer;
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -o-transition: all 0.2s;
    -ms-transition: all 0.2s;
    transition: all 0.2s;
}

.image-group-item-edit-content .image-group-item-edit-image-btn {
    width: 30px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    border-radius: 50%;
    right: 10px;
    top: 10px;
    padding: 0;
}

.image-group-item-edit-image-btn:hover {
    background: rgba(255, 255, 255, 0.8);
}

.image-group-item-edit-image-btn:before {
    content: '\f040';
    font-family: FontAwesome;
    color: #333333;
}

.image-group-item-edit-content .image-group-item-edit-image-btn:before {
    content: '\e96d';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    font-family: 'pt-admin';
}

.image-group-item-edit-image-btn:hover:before {
    color: #006799;
}

.image-group-item-edit-image-prev,
.image-group-item-edit-image-next,
.image-group-item-edit-image-close {
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    height: 30px;
    font-size: 50px;
    padding: 20px;
    color: #333333;
    cursor: pointer;
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -o-transition: all 0.2s;
    -ms-transition: all 0.2s;
    transition: all 0.2s;
}

.image-group-item-edit-image-prev:not(.pn-btn-hide):hover,
.image-group-item-edit-image-next:not(.pn-btn-hide):hover {
    color: #006799;
}

.image-group-item-edit-image-prev {
    left: 100px;
}

.image-group-item-edit-image-next {
    right: 100px;
}

.image-group-item-edit-image-close {
    right: 10px;
    top: 0;
    bottom: auto;
    font-size: 22px;
    height: 22px;
}

.image-group-item-edit-image-close:hover {
    color: #006799;
}

.image-group-item-edit-image-prev:before {
    content: '\f104';
    font-family: FontAwesome;
}

.image-group-item-edit-image-next:before {
    content: '\f105';
    font-family: FontAwesome;
}

.image-group-item-edit-image-close:before {
    content: '\f00d';
    font-family: FontAwesome;
}

.pn-btn-hide {
    opacity: 0.3;
    cursor: default;
}

.ig-extend-item {
    display: block;
    padding: 5px 15px;
    box-sizing: border-box;
}

.ig-extend-item>span:not(.pt-admin-help-icon) {
    width: 100px;
    display: inline-block;
    vertical-align: top;
}

.image-group-item-edit-extend {
    padding: 10px 0;
    box-sizing: border-box;
}

.ig-extend-item input[type=text],
.ig-extend-item textarea {
    min-width: 500px !important;
}

.ig-extend-item input[type=checkbox].pt-checkbox {
    display: none !important;
}

.ig-extend-item div.pt-select {
    position: relative;
    display: inline-block;
}

.ig-extend-item .pt-select-list {
    position: absolute;
}

.ig-extend-target.pt-checkbox {
    margin-left: 2px;
}

.ig-extend-item .wp-picker-container,
.ig-extend-item .wp-picker-container:active {
    position: absolute;
    z-index: 1010;
    margin-left: 5px;
}

.image-group-open-btn {
    vertical-align: middle !important;
    margin-right: 10px !important;
}

.image-group-images-tips {
    display: none;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -o-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.image-group.no-items .image-group-images-tips {
    display: block;
}

.image-group-images-tips {
    position: absolute;
    left: 10px;
    top: 50px;
}

.image-group-category-info {
    position: relative;
    top: 18px;
    left: 22px;
    color: #cccccc;
    display: none;
}

.image-group-category-mode .image-group-category-info {
    display: inline;
}

.image-group-category-info>span {
    color: #999999;
}


/**
 * rtl ----------------------------------------
**/

[dir='rtl'] .image-group-item-btn {
    left: auto;
    right: 48px;
}

[dir='rtl'] .image-group-item-edit-content .image-group-item-edit-image-btn {
    left: 10px;
    right: auto;
}

[dir='rtl'] .image-group-mode-btns {
    left: 0;
    right: auto;
}

[dir='rtl'] .image-group-detail-btns {
    left: auto;
    right: 10px;
}

[dir='rtl'] .image-group-button {
    float: right;
}

[dir='rtl'] .image-group-item-edit-image-close {
    left: 10px;
    right: auto;
}

[dir='rtl'] .image-group-open-btn {
    margin-left: 10px !important;
    margin-right: 0 !important;
}